<?php

/**
 * @file
 * Lists available colors and color schemes for the theme.
 */

$info = [
  // Available colors and color labels used in theme.
  'fields' => [
    'color' => t('Color Scheme'),
	'text' => t('Text Color'),
	'bg' => t('Body Background'),
	'page_bg' => t('Page Background'),
	'header_bg' => t('Header Background'),
	'header_top_bg' => t('Header Top Background'),
	'menu_bg' => t('Main Menu Background'),
	'menu' => t('Main Menu Color'),
	'menu_hover' => t('Main Menu Hover Color'),
	'page-title_bg' => t('Page Title Background'),
	'footer_bg' => t('Footer Background'),
	'btn_bg' => t('Button Background'),
	'price' => t('Price Color'),
  ],
  // Pre-defined color schemes.
  'schemes' => [
    'default' => [
      'title' => t('Default'),
      'colors' => [
        'color' => '#2ba9e0',
		'text' => '#555555',
		'bg' => '#f9f9f9',
		'page_bg' => '#ffffff',
		'header_bg' => '#fcfcfc',
	    'header_top_bg' => '#f8f8f8',
		'menu_bg' => '#19212e',
		'menu' => '#fefefe',
		'menu_hover' => '#49c3f9',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#19212c',
		'btn_bg' => '#2ba9ee',
		'price' => '#2ba9e1',
      ],
    ],
	'scheme2' => [
      'title' => t('Scheme 2'),
      'colors' => [
        'color' => '#f45000',
		'text' => '#555555',
		'bg' => '#ffffff',
		'page_bg' => '#ffffff',
		'header_bg' => '#ffffff',
	    'header_top_bg' => '#ffffff',
		'menu_bg' => '#19212e',
		'menu' => '#ffffff',
		'menu_hover' => '#f45000',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#19212c',
		'btn_bg' => '#f45000',
		'price' => '#f45000',
      ],
    ],
	'scheme3' => [
      'title' => t('Scheme 3'),
      'colors' => [
        'color' => '#b21b98',
		'text' => '#555555',
		'bg' => '#ffffff',
		'page_bg' => '#ffffff',
		'header_bg' => '#ffffff',
	    'header_top_bg' => '#202020',
		'menu_bg' => '#f1f1f1',
		'menu' => '#555555',
		'menu_hover' => '#b21b98',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#19212c',
		'btn_bg' => '#b21b98',
		'price' => '#b21b98',
      ],
    ],
	'scheme4' => [
      'title' => t('Scheme 4'),
      'colors' => [
        'color' => '#0045ff',
		'text' => '#555555',
		'bg' => '#ffffff',
		'page_bg' => '#ffffff',
		'header_bg' => '#ffffff',
	    'header_top_bg' => '#ffffff',
		'menu_bg' => '#19212e',
		'menu' => '#f1f1f1',
		'menu_hover' => '#dddddd',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#19212c',
		'btn_bg' => '#0045ff',
		'price' => '#0045ff',
      ],
    ],
	'scheme5' => [
      'title' => t('Scheme 5'),
      'colors' => [
        'color' => '#ffada5',
		'text' => '#555555',
		'bg' => '#ffffff',
		'page_bg' => '#ffffff',
		'header_bg' => '#ffffff',
	    'header_top_bg' => '#f9f9f9',
		'menu_bg' => '#000000',
		'menu' => '#f9f9f9',
		'menu_hover' => '#ffada5',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#f1f1f1',
		'btn_bg' => '#ffada5',
		'price' => '#ffada5',
      ],
    ],
	'scheme6' => [
      'title' => t('Scheme 6'),
      'colors' => [
        'color' => '#e31c7d',
		'text' => '#555555',
		'bg' => '#ffffff',
		'page_bg' => '#ffffff',
		'header_bg' => '#fcfcfc',
	    'header_top_bg' => '#333333',
		'menu_bg' => '#ffd61a',
		'menu' => '#222222',
		'menu_hover' => '#ffffff',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#ffca09',
		'btn_bg' => '#e31c7d',
		'price' => '#e31c7d',
      ],
    ],
	'scheme7' => [
      'title' => t('Scheme 7'),
      'colors' => [
        'color' => '#02b39a',
		'text' => '#555555',
		'bg' => '#f9f9f9',
		'page_bg' => '#ffffff',
		'header_bg' => '#fcfcfc',
	    'header_top_bg' => '#f8f8f8',
		'menu_bg' => '#19212e',
		'menu' => '#fefefe',
		'menu_hover' => '#00e4c3',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#19212e',
		'btn_bg' => '#02b39a',
		'price' => '#02b39a',
      ],
    ],
	'scheme8' => [
      'title' => t('Scheme 8'),
      'colors' => [
        'color' => '#ffd61a',
		'text' => '#555555',
		'bg' => '#f0efee',
		'page_bg' => '#ffffff',
		'header_bg' => '#ffffff',
	    'header_top_bg' => '#ffffff',
		'menu_bg' => '#ffffff',
		'menu' => '#333333',
		'menu_hover' => '#e0d02b',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#ffffff',
		'btn_bg' => '#ffd61a',
		'price' => '#ffd61a',
      ],
    ],
	'scheme9' => [
      'title' => t('Scheme 9 (Dark)'),
      'colors' => [
        'color' => '#fd6c37',
		'text' => '#f9f9f9',
		'bg' => '#000000',
		'page_bg' => '#0a0808',
		'header_bg' => '#131f33',
	    'header_top_bg' => '#15233b',
		'menu_bg' => '#feb800',
		'menu' => '#fefefe',
		'menu_hover' => '#b31d55',
		'page-title_bg' => '#170606',
		'footer_bg' => '#170606',
		'btn_bg' => '#fd6c37',
		'price' => '#fd6c37',
      ],
    ],
	'scheme10' => [
      'title' => t('Scheme 10'),
      'colors' => [
        'color' => '#9a7e6e',
		'text' => '#555555',
		'bg' => '#f9f9f9',
		'page_bg' => '#ffffff',
		'header_bg' => '#fcfcfc',
	    'header_top_bg' => '#f8f8f8',
		'menu_bg' => '#de9272',
		'menu' => '#333333',
		'menu_hover' => '#8d0d0d',
		'page-title_bg' => '#f7f7f7',
		'footer_bg' => '#9a7e6e',
		'btn_bg' => '#9a7e6e',
		'price' => '#9a7e6e',
      ],
    ],
	'scheme11' => [
      'title' => t('Scheme11'),
      'colors' => [
        'color' => '#fed700',
		'text' => '#555555',
		'bg' => '#f9f9f9',
		'page_bg' => '#f7f7f7',
		'header_bg' => '#236be1',
	    'header_top_bg' => '#2064d1',
		'menu_bg' => '#ffffff',
		'menu' => '#222222',
		'menu_hover' => '#236be1',
		'page-title_bg' => '#efefef',
		'footer_bg' => '#efefef',
		'btn_bg' => '#236be1',
		'price' => '#2bb027',
      ],
    ],
	'scheme12' => [
      'title' => t('Scheme12'),
      'colors' => [
        'color' => '#fed701',
		'text' => '#555555',
		'bg' => '#ffffff',
		'page_bg' => '#ffffff',
		'header_bg' => '#236be1',
	    'header_top_bg' => '#2064d1',
		'menu_bg' => '#ffffff',
		'menu' => '#222222',
		'menu_hover' => '#236be1',
		'page-title_bg' => '#efefef',
		'footer_bg' => '#efefef',
		'btn_bg' => '#236be1',
		'price' => '#2bb027',
      ],
    ],
  ],

  // CSS files (excluding @import) to rewrite with new color scheme.
  'css' => [
    'assets/css/colors.css',
  ],

  // Files to copy.
  'copy' => [
    'logo.svg',
  ],

  // Gradient definitions.
  'gradients' => [
    [
      // (x, y, width, height).
      'dimension' => [0, 0, 0, 0],
      // Direction of gradient ('vertical' or 'horizontal').
      'direction' => 'vertical',
      // Keys of colors to use for the gradient.
      'colors' => ['color', 'text'],
    ],
  ],

  // Preview files.
  'preview_library' => 'willnice/color.preview',
  'preview_html' => 'color/preview.html',

  // Attachments.
  '#attached' => [
    'drupalSettings' => [
      'color' => [
        // Put the logo path into JavaScript for the live preview.
        'logo' => theme_get_setting('logo.url', 'willnice'),
      ],
    ],
  ],
];
